MyGUI::TileRect Class Reference

`#include <MyGUI_TileRect.h>`

Inheritance diagram for MyGUI::TileRect:
[legend]

## Public Types

typedef RTTIBase | Base
typedef TileRect | RTTIBase
Public Types inherited from MyGUI::ISubWidgetRect
typedef RTTIBase | Base
typedef ISubWidgetRect | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| TileRect ()
void | setAlpha (float _alpha) override
void | setVisible (bool _visible) override
void | createDrawItem (ITexture *_texture, ILayerNode *_node) override
void | destroyDrawItem () override
void | doRender () override
void | setStateData (IStateInfo *_data) override
void | _updateView () override
void | _correctView () override
void | _setAlign (const IntSize &_oldsize) override
void | _setUVSet (const FloatRect &_rect) override
void | _setColour (const Colour &_value) override
Public Member Functions inherited from MyGUI::ISubWidgetRect
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type>
bool | isType () const
virtual void | setAlign (Align _value)
virtual void | doManualRender (IVertexBuffer *, ITexture *, size_t)
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidgetRect
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Protected Attributes

bool | mEmptyView {false}
VertexColourType | mVertexFormat
uint32 | mCurrentColour {0xFFFFFFFF}
FloatRect | mCurrentTexture
IntCoord | mCurrentCoord
ILayerNode * | mNode {nullptr}
RenderItem * | mRenderItem {nullptr}
IntSize | mTileSize
size_t | mCountVertex
float | mRealTileWidth {0}
float | mRealTileHeight {0}
float | mTextureHeightOne {0}
float | mTextureWidthOne {0}
bool | mTileH {true}
bool | mTileV {true}
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible {true}
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}

## Additional Inherited Members

Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const

## Detailed Description

Definition at line 22 of file MyGUI_TileRect.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::TileRect::Base

Definition at line 24 of file MyGUI_TileRect.h.

## RTTIBase

typedef TileRect MyGUI::TileRect::RTTIBase

Definition at line 24 of file MyGUI_TileRect.h.

## Constructor & Destructor Documentation

## TileRect()

MyGUI::TileRect::TileRect | ( |  | ) |

Definition at line 22 of file MyGUI_TileRect.cpp.

## Member Function Documentation

## _correctView()

void MyGUI::TileRect::_correctView | ( |  | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 47 of file MyGUI_TileRect.cpp.

## _setAlign()

void MyGUI::TileRect::_setAlign | ( | const IntSize & | _oldsize | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 53 of file MyGUI_TileRect.cpp.

## _setColour()

void MyGUI::TileRect::_setColour | ( | const Colour & | _value | ) |

override virtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 350 of file MyGUI_TileRect.cpp.

## _setUVSet()

void MyGUI::TileRect::_setUVSet | ( | const FloatRect & | _rect | ) |

override virtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 158 of file MyGUI_TileRect.cpp.

## _updateView()

void MyGUI::TileRect::_updateView | ( |  | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 98 of file MyGUI_TileRect.cpp.

## createDrawItem()

void MyGUI::TileRect::createDrawItem | ( | ITexture * | _texture,
|  | ILayerNode * | _node )

override virtual

Implements MyGUI::ISubWidget.

Definition at line 322 of file MyGUI_TileRect.cpp.

## destroyDrawItem()

void MyGUI::TileRect::destroyDrawItem | ( |  | ) |

override virtual

Implements MyGUI::ISubWidget.

Definition at line 331 of file MyGUI_TileRect.cpp.

## doRender()

void MyGUI::TileRect::doRender | ( |  | ) |

override virtual

Implements MyGUI::ISubWidget.

Definition at line 165 of file MyGUI_TileRect.cpp.

## getClassTypeName()

std::string_view MyGUI::TileRect::getClassTypeName | ( |  | ) |

inline static

Definition at line 24 of file MyGUI_TileRect.h.

## getTypeName()

virtual std::string_view MyGUI::TileRect::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 24 of file MyGUI_TileRect.h.

## isType() [1/2]

template<typename Type>

bool MyGUI::TileRect::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 24 of file MyGUI_TileRect.h.

## isType() [2/2]

virtual bool MyGUI::TileRect::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 24 of file MyGUI_TileRect.h.

## setAlpha()

void MyGUI::TileRect::setAlpha | ( | float | _alpha | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 38 of file MyGUI_TileRect.cpp.

## setStateData()

void MyGUI::TileRect::setStateData | ( | IStateInfo * | _data | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 340 of file MyGUI_TileRect.cpp.

## setVisible()

void MyGUI::TileRect::setVisible | ( | bool | _visible | ) |

override virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 28 of file MyGUI_TileRect.cpp.

## Field Documentation

## mCountVertex

size_t MyGUI::TileRect::mCountVertex

protected

Definition at line 63 of file MyGUI_TileRect.h.

## mCurrentColour

uint32 MyGUI::TileRect::mCurrentColour {0xFFFFFFFF}

protected

Definition at line 54 of file MyGUI_TileRect.h.

## mCurrentCoord

IntCoord MyGUI::TileRect::mCurrentCoord

protected

Definition at line 57 of file MyGUI_TileRect.h.

## mCurrentTexture

FloatRect MyGUI::TileRect::mCurrentTexture

protected

Definition at line 56 of file MyGUI_TileRect.h.

## mEmptyView

bool MyGUI::TileRect::mEmptyView {false}

protected

Definition at line 51 of file MyGUI_TileRect.h.

## mNode

ILayerNode* MyGUI::TileRect::mNode {nullptr}

protected

Definition at line 59 of file MyGUI_TileRect.h.

## mRealTileHeight

float MyGUI::TileRect::mRealTileHeight {0}

protected

Definition at line 66 of file MyGUI_TileRect.h.

## mRealTileWidth

float MyGUI::TileRect::mRealTileWidth {0}

protected

Definition at line 65 of file MyGUI_TileRect.h.

## mRenderItem

RenderItem* MyGUI::TileRect::mRenderItem {nullptr}

protected

Definition at line 60 of file MyGUI_TileRect.h.

## mTextureHeightOne

float MyGUI::TileRect::mTextureHeightOne {0}

protected

Definition at line 68 of file MyGUI_TileRect.h.

## mTextureWidthOne

float MyGUI::TileRect::mTextureWidthOne {0}

protected

Definition at line 69 of file MyGUI_TileRect.h.

## mTileH

bool MyGUI::TileRect::mTileH {true}

protected

Definition at line 71 of file MyGUI_TileRect.h.

## mTileSize

IntSize MyGUI::TileRect::mTileSize

protected

Definition at line 62 of file MyGUI_TileRect.h.

## mTileV

bool MyGUI::TileRect::mTileV {true}

protected

Definition at line 72 of file MyGUI_TileRect.h.

## mVertexFormat

VertexColourType MyGUI::TileRect::mVertexFormat

protected

Definition at line 53 of file MyGUI_TileRect.h.

The documentation for this class was generated from the following files:

- MyGUI_TileRect.h
- MyGUI_TileRect.cpp